#ifndef HOTKEYS_H
#define HOTKEYS_H

#include "Tools/ButtonXP.h"
#include "Tools/MenuXP.h"

/////////////////////////////////////////////////////////////////////////////
// CHotkeys dialog

class CHotkeys : public CDialog
{
	// Construction
public:
	CHotkeys(UINT id, CWnd* pParent = NULL);   // standard constructor

	bool CheckDoubles();
	// Dialog Data
	enum
	{
		IDD = IDD_HOTKEYS
	};
	CButtonXP m_btn_Ok;
	CButtonXP m_btn_Cancel;
	CHotKeyCtrl m_h_automation;
	CHotKeyCtrl m_h_albummode;
	CHotKeyCtrl m_h_tracks;
	CHotKeyCtrl m_h_album;
	CHotKeyCtrl m_h_menu;
	CHotKeyCtrl m_h_trayicon;
	CHotKeyCtrl m_h_open3;
	CHotKeyCtrl m_h_back;
	CHotKeyCtrl m_h_forw;
	CHotKeyCtrl m_h_np;
	CHotKeyCtrl m_h_exit;
	CHotKeyCtrl m_h_mp3info;
	CHotKeyCtrl m_h_vup;
	CHotKeyCtrl m_h_vdown;
	CHotKeyCtrl m_h_stop;
	CHotKeyCtrl m_h_prev;
	CHotKeyCtrl m_h_play;
	CHotKeyCtrl m_h_next;
	CHotKeyCtrl m_h_shuffle;
	CHotKeyCtrl m_h_repeat;
	CHotKeyCtrl m_h_playlist;
	CHotKeyCtrl m_h_open2;
	CHotKeyCtrl m_h_open1;
	CHotKeyCtrl m_h_minibar;
	CHotKeyCtrl m_h_equalizer;

	// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support

	// Implementation
protected:
	virtual void OnCancel();
	afx_msg void OnClose();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif
